#
# spec file for package bladeRF-fpga-firmware
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014-2016 Wojciech Kazubski, wk@ire.pw.edu.pl
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bladeRF-fpga-firmware
Version:        0.15.0
Release:        lp156.2.2
Summary:        FPGA firmware for SDR radio receiver
License:        SUSE-NonFree
Group:          Productivity/Hamradio/Other
Url:            http://nuand.com/
Source0:        http://nuand.com/fpga/v%{version}/hostedx40.rbf
Source1:        http://nuand.com/fpga/v%{version}/hostedx115.rbf
Source2:        http://nuand.com/fpga/v%{version}/hostedxA4.rbf
Source3:        http://nuand.com/fpga/v%{version}/hostedxA9.rbf
Source4:        http://nuand.com/fpga/v%{version}/wlanxA9.rbf
BuildArch:      noarch

%description
The FPGA firmware for bladeRF USB 3.0 Superspeed Software Defined Radio.
This package is needed if the firmware is to be loaded at board initialization.

%prep

%build

%install
# bladeRF classic
install -Dpm644 %{SOURCE0} \
  %{buildroot}/%{_datadir}/Nuand/bladeRF/fpga/hostedx40.rbf
install -Dpm644 %{SOURCE1} \
  %{buildroot}/%{_datadir}/Nuand/bladeRF/fpga/hostedx115.rbf
# bladeRF 2.0
install -Dpm644 %{SOURCE2} \
  %{buildroot}/%{_datadir}/Nuand/bladeRF/fpga/hostedxA4.rbf
install -Dpm644 %{SOURCE3} \
  %{buildroot}/%{_datadir}/Nuand/bladeRF/fpga/hostedxA9.rbf
# bladeRF-wiphy
install -Dpm644 %{SOURCE4} \
  %{buildroot}/%{_datadir}/Nuand/bladeRF/fpga/wlanxA9.rbf.rbf

%files
%defattr(-,root,root)
%dir %{_datadir}/Nuand
%dir %{_datadir}/Nuand/bladeRF
%dir %{_datadir}/Nuand/bladeRF/fpga
%{_datadir}/Nuand/bladeRF/fpga/hostedx40.rbf
%{_datadir}/Nuand/bladeRF/fpga/hostedx115.rbf
%{_datadir}/Nuand/bladeRF/fpga/hostedxA4.rbf
%{_datadir}/Nuand/bladeRF/fpga/hostedxA9.rbf
%{_datadir}/Nuand/bladeRF/fpga/wlanxA9.rbf.rbf

%changelog
* Mon Feb 13 2023 Martin Hauke <mardnh@gmx.de>
- Update to version 0.15.0
  This release focuses primarily on adding support for AD936x
  supersampling.
  * Added 8bit mode format to IQ streaming in FIFO reader and
    FIFO writer.
* Tue Oct  5 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 0.14.0
  * Fix RX halting issue in packet mode
  * Ensure meta_fifos never overflow
  * Disconnect nios_ss_n bus from GPIO(20 downto 19)
  * Add Wishbone master to bladeRF 2.0 micro's bladeRF-hosted
    revision
  * Add Wishbone master IP NiOS peripheral
* Fri Jan 15 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 0.12.0
  * Add packet mode. The HDL fabric is able to exchange variable
    length packets with the host
  * Added packet_generator as an example for how to send packets
    to the host
  * Added bladeRF 2.0 micro headless example variant "foxhunt"
  * Fix metadata related arithmetic and logic
- Update to version 0.11.0
  * Increase FIFO buffer sizes for bladeRF 2.0
  * Fix underflow and overflow issues in metadata code
  * Refactor RFIC code for bladeRF 2.0
  * Allow quicktune to control XB gpio register for XB-200
- Update to version 0.10.2
  This version improves the FPGA-based tuning support on the
  bladeRF2, adding quick tuning, a standby state (initialized but
  idle), and defining user space for API commands.
  * bladeRF2: fix RF path selection for quick retune
  * bladeRF2: FPGA tuning: add FASTLOCK command
  * bladeRF2: FPGA tuning: add standby (warm idle) state
  * bladeRF2: FPGA tuning: define user-defined command space
  * bladeRF2: add FPGA-based tuning
  * bladeRF2: improved headless functionality
  * bladeRF2: increased Nios II RAM size to 128kB
  * bladeRF2: add fastlock functions
- Update to version 0.9.0
  * bladeRF: hosted: fix typo in toggle_led1
  * bladeRF: move AGC SPI driver into 80 MHz clock domain
  * bladeRF: timing improvements
  * build: Cygwin compatibility
  * bladeRF: adsb: adjust build and FIFO type to match
    bladeRF-micro impl
  * bladeRF-micro: adsb: implement support for ADS-B core on
    bladeRF micro
  * fx3_gpif: clean up metadata flags field in GPIF
  * fifo_writer: add metadata flags for miniexp{1,2} IO pin status
  * bladeRF-micro: add false path constraint for pwr_status
  * bladeRF-micro: weak pull-up on fx3_uart_rxd
- Update to version 0.8.0
  * Fix nios_gpio assignment overlap for AGC_EN
  * Fix bug in AGC band selection
- Package hostedxA4.rbf, hostedxA9.rbf, wlanxA9.rbf
* Mon Jan 20 2020 Martin Hauke <mardnh@gmx.de>
- Change license to SUSE-NonFree
* Wed Sep  5 2018 mardnh@gmx.de
- Update to version 0.7.3
* Mon Apr 24 2017 mpluskal@suse.com
- Small packaging changes
* Sat Apr 15 2017 mardnh@gmx.de
- specfile cleanup
* Thu Jun 30 2016 wk@ire.pw.edu.pl
- requires bladeRF-cli
* Wed Jun  1 2016 wk@ire.pw.edu.pl
- version 0.6.0
* Thu Dec 31 2015 wk@ire.pw.edu.pl
- version 0.5.0
* Wed Dec 16 2015 wk@ire.pw.edu.pl
- version 0.4.1
* Sat Aug  1 2015 wk@ire.pw.edu.pl
- version 0.3.4
* Thu Jul  2 2015 wk@ire.pw.edu.pl
- version 0.3.3
* Wed Dec  3 2014 wk@ire.pw.edu.pl
- version 0.1.2
* Fri Jul 25 2014 wk@ire.pw.edu.pl
- version 0.0.6
